﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;

<table  border="0" style="width:400px; margin-left:20px;margin-top:-25px;">
    <tr>
        <td nowrap="nowrap">Tax Number <b style="color:Red;">*</b></td>        
        <td></td>
        <td >
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "UtilPlaneHRcvPlantGridLookup";
                    gridLookup.Width = Unit.Pixel(140);
                    gridLookup.GridProperties.KeyFieldName = "TAX_INVOICE_NO";
                    gridLookup.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(350);
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAmountDifference", Action = "PartialHeaderRcvPlantGridHeaderUtilPlane" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Settings.ShowGroupPanel = false;
                    gridLookup.GridProperties.SettingsBehavior.EnableRowHotTrack = true;
                    gridLookup.GridProperties.ClientSideEvents.RowClick = "GetTaxInvoiceNumberValue";
                    gridLookup.ReadOnly = true; 

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "TAX_INVOICE_NO";
                        column.FieldName = "TAX_INVOICE_NO";
                        column.Caption = "Tax No";
                        column.Width = Unit.Pixel(120);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "VAT_PRICE";
                        column.FieldName = "VAT_PRICE";
                        column.Caption = "Supplier<br />Tax Amount";
                        column.Width = Unit.Pixel(90);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Right;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        column.PropertiesEdit.DisplayFormatString = "{0:###,###}";           

                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "TAX_INVOICE_DT";
                        column.FieldName = "TAX_INVOICE_DT";
                        column.Caption = "Tax Date";
                        column.Width = Unit.Pixel(90);
                        column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                    });

                    gridLookup.GridProperties.BeforeGetCallbackResult = (s, e) =>
                    {
                        MVCxGridView g = s as MVCxGridView;
                        g.Columns[0].Visible = false;
                    };        
                   
                }).Bind(ViewData["GridRcv"]).GetHtml()
        </td>
    </tr>
    <tr>
         <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier Tax Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
         </td>
         <td></td>
          <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtSupplierTaxInvoiceAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 108;
                    settings.Properties.Style.BackColor = DXColor.Silver;
                    settings.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                    settings.Properties.DisplayFormatString = "{0:###,###}"; 
                    settings.ReadOnly = true;

                }
            ).GetHtml()
        </td>
     </tr> 
     <tr>
        <td nowrap="nowrap">Supplier</td>
        <td style="width:110px"></td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtSupplierCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 90;
                    settings.Properties.Style.BackColor = DXColor.Silver;
                    settings.ReadOnly = true;

                }
            ).GetHtml()
        </td>
      </tr>
     <tr>
        <td nowrap="nowrap">Invoice Number <b style="color:Red;">*</b></td>
        <td style="width:110px"></td>
        <td style="width:110px">
              @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtInvoiceNumber";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = Unit.Pixel(90);
                        settings.Properties.MaxLength = 12;
                        //settings.Properties.MaskSettings.Mask = "<0..9999999999>";

                    }
                ).GetHtml()

        </td>
    </tr>     
      <tr>
        <td nowrap="nowrap">Supplier Invoice Amount <b style="color:Red;">*</b></td>
        <td style="width:110px"></td>
        <td style="width:110px">
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtSupplierInvoiceAmount";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = Unit.Pixel(108);
                        settings.Properties.MaxLength = 50;
                        settings.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                        settings.Properties.MaskSettings.Mask = "<0..9999999999>";
                        settings.Properties.DisplayFormatString = "{0:###,###}"; 

                    }
                ).GetHtml()

        </td>        
    </tr>
   
     <tr>
        <td nowrap="nowrap" >IPPCS Invoice Amount <b style="color:Red;">*</b></td>
          <td></td>
        <td>
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtIPPCSInvoiceAmount";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = Unit.Pixel(108);
                        settings.Properties.MaxLength = 50;
                        settings.Properties.ClientSideEvents.KeyUp = "sumDiffInvAmount";
                        settings.Properties.MaskSettings.Mask = "<0..9999999999>";
                        settings.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                        settings.Properties.DisplayFormatString = "{0:###,###}"; 
                    }
                ).GetHtml()

        </td>
        @* disable *@    
      </tr>         
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "IPPCS Tax Invoice Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtIPPCSTaxInvoiceAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 108;
                    settings.Properties.Style.BackColor = DXColor.Silver;
                    settings.ReadOnly = true;
                    settings.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                    settings.Properties.DisplayFormatString = "{0:###,###}"; 
                }
            ).GetHtml()
        </td>
     </tr> 
     <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Difference Invoice Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
         <td></td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtDifferenceInvoiceAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 108;
                    settings.Properties.Style.BackColor = DXColor.Silver;
                    settings.ReadOnly = true;
                    settings.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                    settings.Properties.DisplayFormatString = "{0:###,###}"; 
                }
            ).GetHtml()
        </td>       
    </tr>

    <tr style="display:none">
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {

                    settings.Name = "txtADDorEdit";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = Unit.Pixel(108);
                    settings.Properties.MaxLength = 10;


                }
            ).GetHtml()

        </td>
    </tr>
    <!--------------- End ----------->
    <br />
    <br />
    <br />
    <tr align="right">
        <td></td>
        <td></td>
        <td colspan="2" align="right">
            <table>
                <tr>
                    <td width="" 50% align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveUtilPlane";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewUtilPlane";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>